echo off
cls
echo.
echo *****************************
echo * Silly's Map Editing stuff *
echo *****************************
echo.

if exist %1.map goto Edit

Choice Map [%1.map] not found.. do you wish to edit this anyway:
if ERRORLEVEL 2 goto Done
goto New

:Edit

bakupmap %1

:New
build %1.map
mode co80
echo.
choice Test map [%1.map] in Redneck Rampage:
if ERRORLEVEL 2 goto Done

:Test

rr -map %1.map
mode co80
echo.
choice Do you wish to reedit [%1.map] in Build:
if ERRORLEVEL 2 goto Done
goto Edit

:Done


